
:root {
    /* متغیرهای رنگی */
    --color-primary: 204,159,94;
    --color-light: 255,255,255;
    --color-dark: 0,0,0;
    --color-danger: 220,60,40;

    --color-background: 255,255,255;

    --color-overlay: 204,159,94, 0.5; /* 50 درصد شفافیت */
    --color-shadow: 204,159,94, 0.22;

    --color-text: 0,0,0;
    --color-text-light: 255,255,255;

}

body {
    background-color: rgb(var(--color-background));
    direction: rtl;
    font-family: IRANSansXFaNum, serif;
}

* {
    scrollbar-width: thin; /* باریک کردن اسکرول‌بار */
    scrollbar-color: rgba(var(--color-primary), 0.5) rgba(var(--color-primary), 0.1); /* رنگ اسکرول‌بار */
}

li {
    position: relative;
}

ul {
    list-style-type: none;
}

a {
    color: rgb(var(--color-text));
    text-decoration: none;
}

a:hover {
    text-shadow: 1px 1px rgba(var(--color-shadow));
}

a:visited {
    color: rgba(var(--color-text), 0.5);
}

.input-group-text {
    overflow: hidden;
}

.right-placeholder::placeholder,
.input-group input::placeholder {
    text-align: right;
}

form .input, form .input::placeholder,
.form-select, .dropdown-menu, .btn,
.form-control, .dashboard, .dashboard div,
table, td, tr, th, .input-group-text {
    font-size: inherit !important;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none; /* مخفی کردن فلش‌های تغییر عدد مرورگر Chrome */
    margin: 0; /* حذف فضای اضافی */
}

input[type="number"] {
    -moz-appearance: textfield; /* مخفی کردن فلش‌های تغییر عدد مرورگر Firefox */
}


input[type="range"]::-webkit-slider-thumb { /* رنگ دایره رنج Chrome */
    background-color: rgb(var(--color-primary));
}

input[type="range"]::-moz-range-thumb { /* رنگ دایره رنج Firefox */
    background-color: rgb(var(--color-primary));
}

.score-input.is-invalid { /* استایل اختصاصی خطا در فرم ارزیابی */
    background-color: rgba(var(--color-danger), 0.1) !important; /* رنگ قرمز Bootstrap */
    background-image: none !important; /* حذف آیکن بوت استرپ */
    padding-right: .75rem; /* جلوگیری از فضای اضافی سمت راست */
}

/* استایل رنگ دکمه اصلی براساس رنگ */
.btn-primary {
    background-color: rgba(var(--color-primary), 0.9) !important;
    border: 1px solid rgba(var(--color-primary), 0.9) !important;
}

.btn-primary:hover {
    background-color: rgb(var(--color-primary)) !important;
    color: rgb(var(--color-text-light)) !important;
}

.bg-primary {
    color: rgb(var(--color-text-light)) !important;
    background-color: rgb(var(--color-primary)) !important
}

.btn-outline-primary {
    color: rgba(var(--color-primary), 0.9) !important;
    border: 1px solid rgba(var(--color-primary), 0.9) !important;
}

.btn-outline-primary:hover {
    background-color: rgb(var(--color-primary)) !important;
    color: rgb(var(--color-text-light)) !important;
}

.btn-secondary {
    background-color: rgba(var(--color-dark), 0.6) !important;
    border: 1px solid rgba(var(--color-dark), 0.4) !important;
}

.btn-secondary:hover {
    background-color: rgba(var(--color-dark), 0.7) !important;
    color: rgb(var(--color-text-light)) !important;
}

.btn-outline-secondary {
    color: rgba(var(--color-dark), 0.6) !important;
    border: 1px solid rgba(var(--color-dark), 0.6) !important;
}

.btn-outline-secondary:hover {
    background-color: rgba(var(--color-dark), 0.6) !important;
    color: rgb(var(--color-text-light)) !important;
}

.btn-danger {
    background-color: rgba(var(--color-danger), 0.9) !important;
    border: 1px solid rgba(var(--color-danger), 0.9) !important;
}

.btn-danger:hover {
    background-color: rgb(var(--color-danger)) !important;
    color: rgb(var(--color-text-light)) !important;
}

.btn-outline-danger {
    color: rgba(var(--color-danger), 0.9) !important;
    border: 1px solid rgba(var(--color-danger), 0.9) !important;
}

.btn-outline-danger:hover {
    background-color: rgb(var(--color-danger)) !important;
    color: rgb(var(--color-text-light)) !important;
}

.dataTables_length,
.dataTables_filter {
    margin: 0.5rem;
    display: flex;
}

.list-table .col-note {
    max-width: 5rem !important;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}


/* گزینه‌های select2 */
.select2 *,
.select2-container *,
.select2-container--bootstrap-5 *,
.select2-selection *,
.select2-dropdown *,
.select2-selection__choice *,
.select2-results__option * {
    font-size: inherit !important;
}

/* جهت ظاهر کردن placeholder */
.select2-container--bootstrap-5 .select2-selection--multiple .select2-search__field {
    min-width: 100%;
}

.select2-container--bootstrap-5 .select2-selection--multiple .select2-selection__choice {
    display: inline-block !important;
    background-color: rgba(var(--color-primary), 0.18) !important;
}

/* جهت ناپدید کردن × از گوشه عکس */
.select2-container--bootstrap-5 .select2-selection__clear {
    color: transparent !important;
    font-size: 0 !important;
}

.select2-selection__choice__remove {
    display: inline-block;
    margin: 0 5px 0;
    cursor: pointer;
}

/* ---- */

.navbar-logo-img {
    width: 30px;
    color: rgb(var(--color-primary));
}

.login {
    background-color: var(--color-background);
}


.dashboard_view_head {
    background-color: rgb(var(--color-primary));
    height: 200px;
    border-radius: 8px;
    margin-bottom: -80px;
    width: 100%;
    padding-top: 15px;
}

.dashboard_form_col {
    border-radius: var(--bs-border-radius);
    border: 1px solid rgba(var(--color-shadow));
    padding: 10px;
    overflow: auto;
    min-height: 100%;
}

.content {
    padding-right: 5rem;
    /*margin: 1rem 5rem 1rem 1rem;*/
    position: absolute;
    top: 8.5rem;
    width: 95%;
}

.header {
    position: fixed;
    top: 0;
    width: 90%;
    padding-right: 5em;
    transition: all 1s;
    z-index: 5;
}

.header.sticky {
    background-color: rgb(var(--color-primary));
    width: 85%;
    margin: 1em 5em 1em 1em;
    padding: 0;
    border-radius: var(--bs-border-radius);
    transition: all .7s;
    z-index: 6;
}

/* تنظیم قاب ها و بخش های پرینت */
@media screen {
    .print-only {
        display: none;
    }

    .print-table {
        display: contents;
        padding: 0;
    }

    .print-table-body,
    .print-table-body > tr,
    .print-table-body-td,
    .print-table-body > tr > td {
        display: contents;
    }
}

@media print {
    .row {
        display: flex;
        flex-wrap: wrap;
    }

    .col-md-1 {
        flex: 0 0 auto;
        width: 8.33333333%;
    }

    .col-md-2 {
        flex: 0 0 auto;
        width: 16.66666667%;
    }

    .col-md-3 {
        flex: 0 0 auto;
        width: 25%;
    }

    .col-md-4 {
        flex: 0 0 33.33%;
        max-width: 33.33%;
    }

    .col-md-5 {
        flex: 0 0 auto;
        width: 41.66666667%;
    }

    .col-md-6 {
        flex: 0 0 50%;
        max-width: 50%;
    }

    .col-md-7 {
        flex: 0 0 auto;
        width: 58.33333333%;
    }

    .col-md-8 {
        flex: 0 0 auto;
        width: 66.66666667%;
    }

    .col-md-9 {
        flex: 0 0 auto;
        width: 75%;
    }

    .col-md-10 {
        flex: 0 0 auto;
        width: 83.33333333%;
    }

    .col-md-11 {
        flex: 0 0 auto;
        width: 91.66666667%;
    }

    .col-md-12 {
        flex: 0 0 auto;
        width: 100%;
    }

    .no-print {
        display: none !important;
    }

    .print-only {
        display: block;
    }

    .page-inner-title,
    .page-inner-title p {
        width: 100% !important;
        display: block !important;
        text-align: center;
        padding: 0;
    }

    .container {
        max-width: 100%;
    }

    .content {
        width: 100%;
        position: static;
        margin: 0;
        padding: 0;
    }

    .print-table {
        page-break-before: auto;
        page-break-inside: auto;
        page-break-after: auto;
        display: table;
        border-collapse: separate;
        box-sizing: border-box;
        text-indent: initial;
        unicode-bidi: isolate;
        border-spacing: 2px;
        width: 100%;
        border-top-width: 0;
        border-bottom-width: 0;
        border-left-width: 0;
        border-right-width: 0;
        -webkit-border-horizontal-spacing: 0;
        -webkit-border-vertical-spacing: 0;
    }

    .print-table-head {
        display: table-header-group;
        vertical-align: middle;
        unicode-bidi: isolate;
        break-inside: avoid;
        border-color: inherit;
    }

    .print-table-head-td {
        border: 2px solid #000000;
        border-bottom: 0;
        border-radius: 5px 5px 0 0;
        height: 5px;
        text-align: center;
    }

    .print-table-body {
        display: table-row-group;
        vertical-align: middle;
        unicode-bidi: isolate;
        border-color: inherit;
    }

    .print-table-body-td {
        border: 2px solid #000000;
        border-top: 0;
        border-bottom: 0;
        padding: 15px 0;
    }

    .print-table-foot {
        display: table-footer-group;
        vertical-align: middle;
        unicode-bidi: isolate;
        break-inside: avoid;
        border-color: inherit;
    }

    .print-table-foot-td {
        border: 2px solid #000000;
        border-top: 0;
        border-radius: 0 0 5px 5px;
        height: 5px;
        text-align: center;
    }

    .dashboard {
        border: none !important;
        box-shadow: none !important;
        padding: 0 !important;
        margin: 0 !important;
        width: 100%;
    }
}

/* پایان تنظیمات پرینت */
/* نقاط واکنش‌گر برای تنظیم موبایل */
@media screen {
    .desktop-load {
        display: block;
    }

    .mobile-load {
        display: none;
    }
}

@media only screen and (max-width: 481px) {

    .navbar-logo-img {
        width: 25px;
    }

    .login {
        background-color: rgb(var(--color-primary));
    }

    .desktop-load {
        display: none;
    }

    .mobile-load {
        display: block;
    }

    .content {
        padding-right: 0;
        width: 100%;
        top: 6rem;
    }

    .header {
        padding-right: 1rem;
    }

    .header.sticky {
        margin: 1rem 0 0;
    }

    .dashboard_view_head {
        padding-top: 50px;
    }

    #addGroupModal .modal-dialog {
        max-width: 100% !important;
    }
}

/* پایان واکنش‌گر موبایل */
#navbar {
    top: 0;
    padding: 0;
    margin: 1em;
    width: 4em;
    height: 95vh;
    position: fixed;
    right: 0;
    border-radius: var(--bs-border-radius);
    background-color: rgb(var(--color-background));
    transition: width .35s;
    overflow-y: auto;
    overflow-x: hidden;
    box-shadow: 1px 1px 5px 2px rgba(var(--color-shadow));
    z-index: 9;
}

#navbar:hover,
#navbar.open {
    width: 14em;
}

#navbar:hover .link-text,
#navbar.open .link-text {
    width: 100%;
    padding: 0 15px 0 0;
    opacity: 1;
}

.mainNav {
    overflow-x: hidden;
    overflow-y: hidden;
    max-height: 85vh;
}

.mainNav:hover {
    overflow-y: auto;
}

.display-center {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 10px;
}

.flexbox {
    display: flex;
    justify-content: center;
    align-items: center;
}

.flexbox-col {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}

.flexbox-col-center {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.flexbox-left {
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.flexbox-right {
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.reminder-wrapper {
    position: relative;
    cursor: pointer;
}

.reminder-bell {
    color: rgb(var(--color-text-light)) !important;
    position: relative;
}

.reminder-badge {
    position: absolute;
    top: -5px;
    right: -8px;
    background-color: rgb(var(--color-danger));
    color: rgb(var(--color-text-light));
    padding: 2px 5px;
    border-radius: 50%;
    line-height: 1;
}

.profile-menu {
    visibility: hidden;
    opacity: 0;
    position: absolute;
    top: 50px;
    left: 0;
    border-radius: 5px;
    background-color: rgb(var(--color-background));
    box-shadow: 1px 1px 1px 2px rgba(var(--color-shadow));
    min-width: max-content;
    color: rgb(var(--color-text));
    transition: all 0.3s ease;
    z-index: 1;
}

.profile-name {
    color: rgb(var(--color-text-light)) !important;
    white-space: nowrap;
    text-decoration: none;
    padding: 2px;
}

.profile ul {
    padding: 0;
    margin: 0;
}


.profile ul li {
    list-style-type: none;
}

.profile-menu li {
    padding: 10px 20px;
    text-align: right;
}

#color-picker-container:hover {
    background-color: rgba(var(--color-primary), 0.25);

}

.profile-menu li:hover {
    background-color: rgba(var(--color-primary), 0.18);
}

.profile li:hover .profile-menu {
    visibility: visible;
    opacity: 1;
    top: 40px;
    transition: all 0.3s ease;
}


.navbar-logo {
    margin: 0 0 2em 0;
    width: 100%;
    height: 6em;
}

.navbar-logo > .navbar-item-inner:hover {
    background-color: transparent;
    box-shadow: none;
    border: none;
}

.submenu {
    /*display: none;*/
    opacity: 0;
    max-height: 0;
    visibility: hidden;
    overflow: hidden;
    padding: 2px 0 5px;
    transition: all 0.3s ease-out;
}

.mainMenu {
    position: relative;
    cursor: pointer;
}

.arrow::after {
    content: '\f104'; /* محتوای اولیه */
    font-family: 'FontAwesome';
    position: absolute;
    left: 10px;
}

.arrow.active::after {
    content: '\f107'; /* محتوای جدید */
    font-family: 'FontAwesome';
    position: absolute;
    left: 10px;
}

.navbar-item {
    margin: 0 12px 0;
    padding: 0 .5em;
    width: 100%;
    cursor: pointer;
}

.navbar-items {
    margin: 0;
    padding: 15px 0;
    list-style-type: none;
}

.navbar-item-inner {
    padding: 0.8em 0.5em;
    width: 100%;
    position: relative;
    border-radius: var(--bs-border-radius);
    text-decoration: none;
}

.navbar-item-inner:hover {
    color: rgb(var(--color-primary));
    background: rgb(var(--color-background));
    box-shadow: 1px 1px 5px 2px rgba(var(--color-shadow));

}

.navbar-item-inner-icon-wrapper {
    position: relative;
}

.link-text {
    margin: 0;
    width: 0;
    text-overflow: ellipsis;
    white-space: nowrap;
    transition: all .35s;
    overflow: hidden;
    opacity: 0;
}

.ver-text {
    padding: 0 !important;
    position: absolute;
    bottom: 1em;
    background: rgb(var(--color-background));
}

/* استایلهای هدر چسبان */
.div-header {
    display: flex;
    justify-content: center;
    height: 300px;
    transition: all 1s;
    margin: 0;
}

.div-header-back {
    background-color: rgb(var(--color-primary));
    height: 300px;
    transition: all 1s;
}


.index-sticky:before,
.sticky:before {
    content: "";
    backdrop-filter: blur(5px);
    position: absolute;
    z-index: -1;
    top: -20px;
    height: 20px;
    left: 0;
    right: 0;
    margin: 0 -10px;
}

.hide {
    display: none;
}

.header-nav {
    display: flex;
    justify-content: space-between;
    text-align: center;
    align-items: center;
    padding: 2rem;
}

.header-nav-text {
    color: rgb(var(--color-text-light));
    text-decoration: none;
}

.index-header {
    width: 100%;
    display: flex;
    justify-content: space-between;
    text-align: center;
}


.index-sticky {
    background-color: rgb(var(--color-primary));
    position: fixed;
    top: 0;
    left: 0;
    width: 90%;
    margin: 20px 5%;
    border-radius: var(--bs-border-radius);
    transition: all .7s;
    z-index: 5;
}


/* استایل اسلایدر */
.slider-container {
    position: relative;
    overflow: hidden;
    height: 300px;
}

.slide {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    transition: opacity 0.5s ease-in-out;
}

.active {
    opacity: 1;
}

.slider-container .prev,
.slider-container .next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background: none;
    color: rgb(var(--color-text-light));
    border: none;
    font-size: 24px;
    cursor: pointer;
}

.slider-container .prev {
    left: 10px;
    z-index: 2;
}

.slider-container .next {
    right: 10px;
    z-index: 2;
}

/* پایان اسلایدر */
/* استایل های صفحه اول */
.boxs {
    border-radius: 12px;
    flex: 0 0 auto;
    width: 100%;
    height: 120px;
    box-shadow: 0 0 1px 0 #00000033;
    text-align: center;
}


.system-logo {
    margin: auto;
    color: rgb(var(--color-text-light));
    width: 30px;
}

.system-tag {
    color: rgb(var(--color-text-light));
    padding-top: 20px;

}

.base-tile {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}

.footer-menu {
    background-color: rgba(var(--color-primary), 0.18);
    padding: 2rem;
    display: flex;
    justify-content: center;
}

.footer-titr {
    color: rgb(var(--color-text));
    padding: 1rem 0 0;
}

.footer-item {
    text-align: right;
    margin: 3px 0;
}

.footer-item:hover:before {
    content: "\f104";
    font-family: FontAwesome;
    margin: 0 -15px 0 0;
}


@keyframes slideInUp {
    0% {
        transform: translateY(100%);
    }
    100% {
        transform: translateY(0);
    }
}

.anime1 {
    animation: slideInUp 2s;
    animation-duration: 0.5s;
}

.anime2 {
    animation: slideInUp 2s;
    animation-duration: 0.75s;
}

.anime3 {
    animation: slideInUp 2s;
    animation-duration: 1s;
}

.anime4 {
    animation: slideInUp 2s;
    animation-duration: 1.25s;
}

.anime5 {
    animation: slideInUp 2s;
    animation-duration: 0.75s;
}

.anime6 {
    animation: slideInUp 2s;
    animation-duration: 1s;
}

.anime7 {
    animation: slideInUp 2s;
    animation-duration: 1.25s;
}

.anime8 {
    animation: slideInUp 2s;
    animation-duration: 1.5s;
}

.anime9 {
    animation: slideInUp 2s;
    animation-duration: 1s;
}

.anime10 {
    animation: slideInUp 2s;
    animation-duration: 1.25s;
}

.anime11 {
    animation: slideInUp 2s;
    animation-duration: 1.5s;
}

.anime12 {
    animation: slideInUp 2s;
    animation-duration: 1.75s;
}

.comment-box {
    margin-top: 20px;
    background-color: rgb(var(--color-background));
    border: 1px solid rgba(var(--color-primary), 0.7);
    border-radius: var(--bs-border-radius);
    padding: 15px;
}

.comment-box .comment-author {
    color: rgb(var(--color-primary));
    display: inline-block !important;
    margin-left: 1rem !important;
}

.comment-box .comment-child {
    background-color: rgb(var(--color-background));
    margin: 15px;
    padding: 15px;
    box-shadow: 0 0.125rem 0.25rem rgb(var(--color-shadow));
    border: 1px solid rgba(var(--color-primary), 0.7);
}

/* پایان صفحه اول */
.search {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(var(--color-primary), 0.18);
    border: 1.5px solid rgba(var(--color-primary), 0.7);
    border-radius: var(--bs-border-radius);
    height: fit-content;
}

.search:focus {
    box-shadow: 0 0 0 0.3rem rgba(var(--color-shadow));
}

.action {
    background: transparent;
    border: transparent;
}

.dropdown-menu-container {
    display: none;
    position: absolute;
    z-index: 1;
}

.dropdown-menu-container.show {
    display: block;
}

.dropdown-menu li {
    text-align: center;
}

.list-dropdown {
    display: flex;
    align-items: center;
    justify-content: center;
    white-space: nowrap;
}

.sms-tag {
    color: rgba(var(--color-primary), 0.9);
    cursor: pointer;
    margin-right: 0.3rem;
}

.sms-tag:hover {
    color: rgb(var(--color-primary));
    text-shadow: 1px 1px rgba(var(--color-shadow));
}

.checkbox-container {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgba(var(--color-primary), 0.18);
}

.list-table {
    width: 100%;
    table-layout: auto;
    border-collapse: separate !important;
    border-spacing: 0 10px !important;
    padding: 0 5px;
}

.list-table th:not(.menu-column),
.list-table td:not(.menu-column) {
    white-space: nowrap;
    text-align: center;
    max-width: 120px;
    overflow: hidden;
    text-overflow: ellipsis;
}

.menu-column {
    width: auto;
    overflow: visible;
}

.dropdown-item:hover {
    background-color: rgba(var(--color-primary), 0.18);
}

.list-table tbody tr th:last-child,
.list-table tbody tr td:last-child {
    border-top-left-radius: 7px;
    border-bottom-left-radius: 7px;
    max-width: unset;
}

.list-table tbody tr th:first-child,
.list-table tbody tr td:first-child {
    border-top-right-radius: 7px;
    border-bottom-right-radius: 7px;
}

.list-table tbody td {
    padding: 15px;
    box-shadow: 0 0 2px 0 rgb(var(--color-shadow));
}

.list-table tbody tr:nth-child(even) {
    background-color: rgba(var(--color-primary), 0.18);
    border-radius: 7px;
}

.list-table tbody tr {
    border-radius: 7px;
    box-shadow: 1px 1px 3px 0 var(--color-shadow);
}

.list-table tbody tr:hover {
    background: rgba(var(--color-primary), 0.3);
    border-radius: 7px;
}


.search-icon {
    width: 30px;
    color: rgb(var(--color-primary));
}

.login-content {
    width: 70%;
    min-height: 65vh;
    margin: 12vh 30px;
    box-shadow: 3px 3px 5px 0 rgba(var(--color-shadow));
    border-radius: 10px;
}

.login-mobile {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    opacity: 0.8;
}

.login-left {
    display: flex;
    min-height: 75vh;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 10px;
    background: rgb(var(--color-primary));
    border-radius: 10px 0 0 10px;
}

/* استایل برای پاپ‌آپ و پس‌زمینه پیامهای overlay */
.popup-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(var(--color-overlay));
    display: none; /* مخفی به صورت پیش‌فرض */
    justify-content: center;
    align-items: center;
    z-index: 10;
}

.popup-content {
    background-color: rgb(var(--color-background));
    padding: 20px;
    border-radius: var(--bs-border-radius);
    box-shadow: 0 4px 8px rgba(var(--color-shadow));
    text-align: center;
}

.popup-content p {
    padding: 0;
    margin: 5px;
}

.popup-buttons {
    margin-top: 25px;
    display: flex;
    justify-content: space-between;
}

.popup-buttons button {
    padding: 5px;
    width: 35%;
    margin: 0 15px;
    cursor: pointer;
}


/* منوی آبشاری بالا */
.top-menu {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0;
}

.top-menu li {
    min-width: max-content;
    padding: 0.5rem 1rem;
    transition: background 0.3s ease-in-out;
}

.top-menu li:hover {
    background-color: rgba(var(--color-primary), 0.18);
}

.top-menu-item {
    position: relative;
}

.top-dropdown-menu,
.extra-menu-item {
    position: absolute;
    background: rgb(var(--color-background));
    box-shadow: 1px 1px 1px 2px rgba(var(--color-shadow));
    border-radius: 5px;
    min-width: 125%;
    width: 100%;
    top: 50px;
    right: 0;
    opacity: 0;
    visibility: hidden;
    transition: all 0.3s ease;
    padding: 0;
    margin: 1px;
    direction: rtl;
}

.top-menu-text {
    display: flex;
    justify-content: space-between;
    width: 100%;
    color: rgb(var(--color-text));
}

.top-menu-item:hover .top-dropdown-menu {
    top: 40px;
    opacity: 1;
    visibility: visible;
    z-index: 1;
}

.extra-menu-item {
    top: 0;
    right: 100%;
}

.extra-menu:hover .extra-menu-item {
    right: 100%;
    opacity: 1;
    visibility: visible;
}

/* پایان منو آبشاری*/
.forms {
    width: 90%;
    display: inline-block;
}

.circle-img {
    width: 2.2rem;
    border-radius: 50%;
    border: 1.5px solid rgba(var(--color-background), 0.8);
    box-shadow: 1px 1px 1px 0 rgba(var(--color-shadow));
    padding: 1px;
}

.dashboard input::placeholder,
.dashboard textarea::placeholder {
    opacity: 0.5;
}

.dashboard label {
    float: right;
}

.dashboard_box {
    background-color: rgb(var(--color-primary));
    border-radius: 10px;
    text-align: center;
    padding: 20px;
    margin: 20px;
    border: 5px solid rgba(var(--color-background), 0.5);
    box-shadow: 1px 1px 3px 1px rgba(var(--color-shadow));
    min-height: 14em;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.dashboard {
    background-color: rgb(var(--color-background));
    border-radius: 10px;
    text-align: center;
    padding: 20px;
    margin: 20px;
    border: 2px solid rgb(var(--color-primary));
    box-shadow: 1px 1px 3px 0 rgba(var(--color-shadow));
    min-height: 70vh;
}

.div-buttons * {
    margin: 0.2rem;
}

.view-pic {
    height: 120px;
    border-radius: 10%;
    border: 3px solid rgba(var(--color-background), 0.5);
    padding: 1px;
    box-shadow: 1px 1px 4px 0 rgba(var(--color-shadow));
    background-color: rgb(var(--color-primary));
    margin-bottom: 20px;
    position: relative;
}

.profile-title {
    font-weight: bold;
    color: rgb(var(--color-text));
}

.profile-title-detail a {
    margin: 0 10px 0;
}

.profile-detail {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    text-align: center;
    width: 100%;
}

#nav-tab .nav-link {
    color: rgb(var(--color-text));
}

/* استایلهای مدال جستجو */
.modal-dialog {
    height: 85vh;
    display: flex;
    flex-direction: column;
}

/* برای جلوگیری از سرریز شدن محتوا */
.modal-content {
    flex: 1;
    overflow: hidden;
}

/* محدود کردن ارتفاع بدن مدال و ایجاد اسکرول برای جدول */
.modal-body {
    flex: 1;
    overflow-y: auto;
    padding-top: 0;
}

.search-table {
    width: 100%;
    border-collapse: separate;
    border-spacing: 0 8px;
    padding: 0 5px;
}

.search-table thead th, .search-table table tbody td {
    text-align: center
}

.search-table tbody tr th:last-child, .search-table tbody tr td:last-child {
    border-top-left-radius: 7px;
    border-bottom-left-radius: 7px;
}

.search-table tbody tr th:first-child, .search-table tbody tr td:first-child {
    border-top-right-radius: 7px;
    border-bottom-right-radius: 7px;
}

.search-table tbody td {
    padding: 9px;
    box-shadow: 0 0 2px 0 rgba(var(--color-shadow));
}

.search-table tbody tr:nth-child(even) {
    background-color: rgba(var(--color-primary), 0.18);
}

.search-table tbody tr {
    border-radius: 7px;
    box-shadow: 1px 1px 3px 0 rgba(var(--color-shadow));
}

.search-table tbody tr:hover {
    background-color: rgba(var(--color-primary), 0.3);
}

.search-table .box {
    cursor: pointer;
}

/* پایان جستجو */
.dual-list {
    flex-direction: row-reverse;
    align-items: center;
    justify-content: space-between;
{#border-radius: var(--bs-border-radius);#}{#height: 70vh;#}{#padding: 0.5rem;#}{#border: 1px solid rgb(var(--color-primary));#}{#box-shadow: 1px 1px 3px 0 rgba(var(--color-shadow));#}
}

.left-list,
.right-list {
    align-self: flex-start;
    flex: 1;
    border-radius: var(--bs-border-radius);
    border: 1px solid rgb(var(--color-primary));
    box-shadow: 1px 1px 3px 0 rgba(var(--color-shadow));
    height: 60vh;
    overflow: auto;
}

.upload-excel ul {
    text-align: right;
    margin: 0;
    padding: 0 0 0.75rem;
}

.upload-excel ol {
    text-align: right;
    margin: 0;
    padding: 0 0.75rem;
}

.upload-excel ol:before {
    content: "\f104";
    font-family: FontAwesome;
    padding-left: 5px;
}

.back-link {
    color: color-mix(in srgb, rgb(var(--color-primary)) 60%, black) !important;
}

.back-link:hover {
    color: rgb(var(--color-primary));
    text-shadow: 1px 1px rgba(var(--color-shadow));
}

/* تقویم سازمانی */
.nav-link.has-event {
    background-color: rgba(var(--color-shadow));
}

.nav-link.active.has-event {
    background-color: rgba(var(--color-primary), 0.09);
    border: 1px solid rgb(var(--color-primary));
    border-bottom: unset;
}

.nav-link.has-event::after {
    font-family: 'FontAwesome';
    font-size: 7px;
    content: '\f067';
    position: absolute;
    color: rgb(var(--color-primary));
}

.is-official-holiday {
    color: rgb(var(--color-danger));
}

.is-custom-holiday {
    color: rgb(var(--color-primary));
}

.multi-events {
    background-image: repeating-linear-gradient(
            0deg,
            rgba(var(--color-danger), 0.1),
            rgba(var(--color-danger), 0.1) 5px,
            rgba(var(--color-primary), 0.2) 15px,
            rgba(var(--color-primary), 0.2) 5px
    );
    border-radius: var(--bs-border-radius);
}

.event-official {
    background-color: rgba(var(--color-danger), 0.1) !important;
    border-radius: var(--bs-border-radius);
}

.event-custom {
    background-color: rgba(var(--color-primary), 0.1) !important;
    border-radius: var(--bs-border-radius);
}


.selected-cell {
    border: 1px solid rgb(var(--color-primary)) !important;
    border-radius: var(--bs-border-radius);
}

.today-cell {
    position: relative;
    border: 1px solid rgb(var(--color-danger)) !important;
    border-radius: var(--bs-border-radius);
}

.today-cell::after {
    content: '';
    position: absolute;
    bottom: 3px;
    left: 3px;
    width: 0;
    height: 0;
    border-right: 8px solid transparent;
    border-bottom: 8px solid rgb(var(--color-danger));
    border-radius: 1px;
}

/* پایان تقویم */
#downloadLink {
    opacity: 0;
    transform: scale(0.8);
    transition: all 0.8s ease;
}

#downloadLink.show {
    opacity: 1;
    transform: scale(1);
}